# $Revision: 1.13 $, $Date: 2004/05/07 01:09:20 $
#
# Conditional build:
%bcond_without tests # do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	File
%define	pnam	Data
Summary:	File::Data - interface to file data
Summary(pl):	File::Data - interfejs do danych w pliku
Name:		perl-File-Data
Version:	1.12
Release:	3
License:	unknown
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	32c021844e4e803326eff40ebe7b2f57
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
File::Data wraps all the accessing of a file into a convenient set of
calls for reading and writing data, including a simple regex interface.

The idea is to standardise accessing of files for repetitive and straight
forward tasks, and remove the repeated and therefore error prone file
access I have seen in many sites, where varying, (with equivalently
varying success), methods are used to achieve essentially the same result
- a simple search and replace and/or a regex match.

%description -l pl
File::Data owija dostp do pliku w wygodny zbir metod do czytania i
zapisywania danych, wczajc w to prosty interfejs wyrae regularnych.

Pomys polega na standaryzacji dostpu do plikw w przypadku powtarzalnych
i prostych zada, oraz usuniciu powtarzajcych si, czyli skonnych
do bdw dostpw do plikw spotykanych w wielu miejscach, gdzie
rne metody (z rnym skutkiem) uywane s do osignicia w zasadzie
tego samego rezultatu -- prostego wyszukiwania i zastpowania i/lub
dopasowania wzorca.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorlib}/%{pdir}/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-File-Data.spec,v $
Revision 1.13  2004/05/07 01:09:20  ankry
- rel. 3

Revision 1.12  2004/05/06 18:09:35  ankry
- fixed perl-devel BR

Revision 1.11  2004/04/20 13:32:16  ankry
- license fixes / unification

Revision 1.10  2004/04/13 18:00:40  adamg
- new style bconds; cosmetics

Revision 1.9  2003/09/09 10:24:35  ankry
- spaces -> tab

Revision 1.8  2003/08/18 08:08:46  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.7  2003/05/28 13:00:37  malekith
- massive attack: source-md5

Revision 1.6  2003/05/25 06:24:35  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2003/04/11 18:59:23  radek
- BR: perl-devel; do not BR: perl

Revision 1.4  2003/03/01 19:09:09  radek
- should be ready for perl-5.8.0; release++

Revision 1.3  2003/02/25 00:38:35  radek
- use the __perl macro

Revision 1.2  2003/02/18 15:32:11  ankry
- massive attack: change CPAN URLs

Revision 1.1  2002/08/29 11:06:43  radek
- new, STBR

